module Paths_darcs_beta (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [2,7,98,1], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/florent/.cabal/bin"
libdir     = "/home/florent/.cabal/lib/darcs-beta-2.7.98.1/ghc-7.0.3"
datadir    = "/home/florent/.cabal/share/darcs-beta-2.7.98.1"
libexecdir = "/home/florent/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "darcs_beta_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "darcs_beta_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "darcs_beta_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "darcs_beta_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
